Create a Score Scale
curl --request POST \
--url https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/scoreScales/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scoreScale": {
"title": "<string>",
"type": "<string>",
"class": {
"sourcedId": "<string>"
},
"scoreScaleValue": [
{
"itemValueLHS": "<string>",
"itemValueRHS": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"course": {
"sourcedId": "<string>"
}
}
}
'import requests
url = "https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/scoreScales/"
payload = { "scoreScale": {
"title": "<string>",
"type": "<string>",
"class": { "sourcedId": "<string>" },
"scoreScaleValue": [
{
"itemValueLHS": "<string>",
"itemValueRHS": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"sourcedId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"course": { "sourcedId": "<string>" }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scoreScale: {
title: '<string>',
type: '<string>',
class: {sourcedId: '<string>'},
scoreScaleValue: [
{
itemValueLHS: '<string>',
itemValueRHS: '<string>',
value: '<string>',
description: '<string>'
}
],
sourcedId: '<string>',
dateLastModified: '2023-11-07T05:31:56Z',
metadata: {},
course: {sourcedId: '<string>'}
}
})
};
fetch('https://api.alpha-1edtech.ai/ims/oneroster/gradebook/v1p2/scoreScales/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sourcedIdPairs": {
"suppliedSourcedId": "<string>",
"allocatedSourcedId": "<string>"
}
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}Score Scales Management
Create a Score Scale
To create a new scoreScale. The responding system must return the set of sourcedIds that have been allocated to the newly created scoreScale records.
POST
/
ims
/
oneroster
/
gradebook
/
v1p2
/
scoreScales
/
Create a Score Scale
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Represents a score scale.
Show child attributes
Show child attributes
Response
Score scale successfully created
Show child attributes
Show child attributes
⌘I